Refund QRIS PaymentAsk AIpost https://api.durianpay.id/v1.0/qr/qr-mpm-refundThe following endpoint can be used to refund a completed QRIS payment.Body ParamsoriginalPartnerReferenceNostringrequiredMerchant’s unique transaction reference.originalReferenceNostringrequiredDurianpay's unique transaction reference.partnerRefundNostringrequiredMerchant’s unique refund reference.refundAmountobjectrequiredrefundAmount objectHeadersContent-TypestringrequiredIndicates the media type of the resource. value: application/jsonX-TIMESTAMPstringrequiredTimestamp in ISO8601 format, Example: 2024-05-14T18:54:57+07:00AuthorizationstringRepresents Access Token (B2B) of a request; string starts with keyword “Bearer ” followed by Access Token (B2B)X-SIGNATUREstringrequiredSignature generated by encrypting HTTP method, relative path, access token, minified request body, and timestampX-PARTNER-IDstringrequiredUnique ID for a partner given by Durianpay upon completing registration. Its value is same as the X-CLIENT-KEYX-EXTERNAL-IDstringrequiredUnique messaging reference identifier generated by merchant and should be unique within the same dayCHANNEL-IDstringrequiredDevice identification on which the API services is currently being accessed by the merchant. Possible value: 95221Responses 200This response indicates that QRIS transaction refund was successful. 202This response confirms that the QRIS transaction refund has been accepted and is now in progress. 400This response indicates a client-side error occurred while processing the request. 403This response indicates that the request was rejected due to insufficient permissions. 404This response indicates a server-side not found error occurred while processing the request. 500This response indicates a server-side error occurred while processing the request.Updated 8 months ago